Subject: [bug#44882] Dependencies issues

From: Tomás Ortín Fernández <[email-masked]>
Date: Sat, 28 Nov 2020 09:53:20 +0100

Hello,

I have realized this patch isn't correct. I hadn't tested it on a clean environment before.
Solargraph requires Rubocop 0.52 (!). In fact, the current version of Solargraph doesn't currently work, either: there are version issues with Rubocop and with ruby-thor.

I need a more-or-less current Solargraph and Rubocop, that's why I have been updating some packages, but I realize now I wasn't doing it properly and that I'm getting tangled into a web of dependencies issues.

How should I proceed? Clearly Rubocop should be updated, but I don't know how to keep Solargraph working and how to figure out which packages will need to be updated or checked in case they need an older version of Rubocop.

I'm quite new to all of this, so sorry if I'm not doing things how I'm supposed to!

Tomás